de.esprit.netsuite.client.gui.action

## Class ClientTaskAction<C extends ClientContext>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.task.TaskAction<C>
      - - de.esprit.netsuite.client.gui.action.ClientTaskAction<C>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, ClientObject<C>, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public abstract class ClientTaskAction<C extends ClientContext>
      extends TaskAction<C>
      implements ClientObject<C>

  This is a `TaskAction` which is connection sensitive. It automatically disables when the connection to the server was lost.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTaskAction(C clientCtx, NlsActionKey nls)`
    `ClientTaskAction(C clientCtx, NlsActionKey nls, IconKey icon)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkEnableCondition()` This condition is evaluated automatically after construction.
    `C` | `getClientContext()` Returns the the client runtime environment
    `boolean` | `isOffline()`
    `boolean` | `isOnline()`

    - ### Methods inherited from class de.esprit.appsuite.task.TaskAction

      `actionFired, actionPrepare, cancel, cancelAndWait, createProgressBar, createTask, getActionCancel, getCurrentTask, setTask, taskCancelled, taskFailed, taskFinished, taskStarted, taskSucceeded`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionPerformed, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientTaskAction

          public ClientTaskAction(C clientCtx,
                          NlsActionKey nls)

    - #### ClientTaskAction

          public ClientTaskAction(C clientCtx,
                          NlsActionKey nls,
                          IconKey icon)

  - ### Method Detail

    - #### checkEnableCondition

          protected boolean checkEnableCondition()

      Description copied from class: `ZAction`
      This condition is evaluated automatically after construction. The action enables/disables accordingly. Does not change the current enable state by default.
      Overrides:
        `checkEnableCondition` in class `TaskAction<C extends ClientContext>`

    - #### isOnline

          public boolean isOnline()

    - #### isOffline

          public boolean isOffline()

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.